<template>
  <el-dialog
    v-model="showDialogNotification"
    width="fit-content"
    :show-close="false"
    align-center
    :before-close="hideDialog"
  >
    <div class="h-80 relative w-[501px]">
      <div class="p-[6%] text-center text-white text-[16px]">
        <el-carousel
          :arrow="notifications.length > 1 ? 'always' : 'never'"
          trigger="click"
        >
          <el-carousel-item v-for="item in notifications" :key="item">
            <div>{{ item.Title }}</div>
            <div class="mt-[4%]">{{ item.Content }}</div>
          </el-carousel-item>
        </el-carousel>
      </div>
      <div>
        <el-button
          class="absolute top-[84.4%] left-[20%]"
          :class="notifications.length > 1 ? 'hideButton' : 'is-disabled'"
          color="#2a437c"
          ><span class="text-white text-[16px]">Previous</span></el-button
        >
        <el-button
          class="absolute top-[84.4%] left-[40%]"
          :class="notifications.length > 1 ? 'hideButton' : 'is-disabled'"
          color="#2a437c"
          ><span class="text-white text-[16px]">Next</span></el-button
        >
        <el-button
          class="absolute top-[84.4%]"
          :class="notifications.length > 1 ? 'left-[57.4%]' : 'left-[56.4%]'"
          color="#2a437c"
          @click="hideDialog"
          ><span class="text-white text-[16px]">Okay</span></el-button
        >
      </div>
    </div>
  </el-dialog>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "NotificationDialog",
  setup() {
    const showDialogNotification = ref(false);
    const dialogNotification = localStorage.getItem("DialogNotification");
    const notifications = store.state.notifications;
    const buttons = [
      {
        buttonName: "Previous",
      },
      {
        buttonName: "Next",
      },
      {
        buttonName: "Okay",
      },
    ];
    if (dialogNotification === "show") {
      showDialogNotification.value = true;
    }
    const hideDialog = () => {
      showDialogNotification.value = false;
      localStorage.removeItem("DialogNotification");
    };
    return {
      showDialogNotification,
      buttons,
      notifications,
      hideDialog,
    };
  },
});
</script>
<style scoped>
.square_click {
  background-color: #33a3dc;
  height: 10px;
  width: 10px;
  padding: 6px;
}
.hideButton {
  display: none;
}
</style>
